Plesk packages has been removed through YUM

Created:

2016-11-16 13:22:39 UTC

Modified:

2017-08-16 17:35:25 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Plesk packages has been removed through YUM

Applicable to:

  • Plesk 12.5 for Linux
  • Plesk 11.x for Linux
  • Plesk 12.0 for Linux

Symptoms

Plesk package has been removed by 'yum' or 'apt-get/aptitude'

....
Removing:
psa-libxml-proxy x86_64 2.7.8-13032215 installed 1.1 M
Removing for dependencies:
plesk-core x86_64 11.5.30-cos6.build115130819.13 installed 41 M
plesk-l10n noarch 11.5.30-cos6.build115130819.13 installed 20 M
plesk-management-node x86_64 11.5.30-cos6.build115130819.13 installed 0.0
pp-sitebuilder noarch 11.5.10-42107.13120413 installed 213 M
psa-updates noarch 11.5.30-cos6.build115131204.15 installed 2.0 k
....

This action has triggered removing plesk-core package as a depended one.

Cause

Incorrect user action. Plesk dependent packages should not be removed manually.

Resolution

  1. You should be connected via SSH . Install Plesk missing packages with autoinstaller:

    # wget autoinstaller.plesk.com/plesk-installer
    # chmod +x autoinstaller.plesk.com/plesk-installer
    # ./plesk-installer

  2. Restore Plesk DBs from backups if required.

Have more questions? Submit a request
Please sign in to leave a comment.